<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }
require('../wu-functions/mail/wu_mail.php');
if (!USER_LOGGED) { exit('wu-error'); }

$nu = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,log,regdate,mail,mailver FROM ".DB_PREFIX."_users WHERE uid='$u_id' LIMIT 1"));
if ($nu['mailver'] == 1) { exit('0'); }
$rand = rand(0, 9999);
$ver = $u_id.'_'.$rand.'_'.md5($nu['mail'].$nu['uid'].$nu['regdate']);

//Отправка письма
$link = PROTOCOL.SITE.'/wu-engine/wu-actions/acc_mail_verify_u.php?ver='.$ver;
$msg = '<center>Для аккаунта '.$nu['log'].' было запрошено подтверждение E-mail адреса. Для подтверждения нажмите <a href="'.$link.'" tsrget="_blank">здесь</a>.</center>';
esend($nu['mail'], $nu['log'], 'Подтверждение E-mail адреса', $msg, 'clear');
wu_log_act(0, 'Запросил подтверждение E-mail');
exit('1');
?>